<?php
	$pageName = 'Bugs';
	$focused = "none";					// Dock icon name to get a border
	require "../parts/preamble.php";		// Load most of document
?>
<?php

function do_list ($title, $name, $list, $def)
{
	$list = explode (',', $list);
	$count = count ($list);
	echo '<TR><TD align="left">' . $title . '</TD><TD align="right">';
	printf ("<SELECT name=\"%s\">", $name);
	for ($i = 0; $i < $count; $i++) {
		printf ("<OPTION%s>%s</OPTION>", $def == $list[$i] ? " selected" : "", $list[$i]);
	}
	echo "</SELECT></TD></TR>";
}

function do_inputline ($title, $name, $len, $def)
{
	echo '<TR><TD align="left">' . $title . '</TD><TD align="right">';
	printf ('<INPUT name="%s" type="text" size="%d" value="%s"></INPUT>', $name, $len, $def);
	echo '</TD></TR>';
}

function do_inputtext ($title, $name, $width, $height, $def)
{
	echo '<TR><TD colspan="2" align="left">' . $title . '<BR>';
	printf ('<TEXTAREA name="%s" cols="%d" rows="%d">%s</TEXTAREA>', $name, $width, $height, $def);
	echo '</TD></TR>';
}

function do_submit ()
{
	echo '<TR><TD align="left"></TD><TD align="right">';
	echo '<INPUT type="submit" value="Submit"></INPUT>';
	echo '</TD></TR>';
}

if ($fromaddr && $pkg && $version && $severity && $os && $details && $subj) {
	$mail = "";

	switch ($pkg) {
		case "QuakeForge":
			$address = "quakeforge-bugs@lists.quakeforge.net";
			break;
		case "QuakeIIForge":
			$address = "quake2-bugs@lists.quakeforge.net";
			break;
		case "Newtree":
			$address = "newtree-bugs@lists.quakeforge.net";
			break;
		case "QFCC":
			$address = "qfcc-bugs@lists.quakeforge.net";
			break;
		case "Forge":
			$address = "forge-bugs@lists.quakeforge.net";
			break;
		default:
	}

	$mail .= "Package: $pkg\n";
	$mail .= 'Version: ' . StripSlashes ($version) . "\n";
	$mail .= "Severity: $severity\n\n";
	$mail .= "Sender: $fromaddr\n";
	$mail .= "Operating System: $os\n\n";
	$mail .= "Detailed Description:\n";
	$mail .= $details . "\n";

	echo "To: <TT>$address</TT><BR>\n";
	echo 'Subject: <TT>' . StripSlashes($subj) . '</TT><br>';
	echo '<pre>' . StripSlashes ($mail) . '</pre>';
	mail ($address, StripSlashes ($subj), StripSlashes ($mail), "From: \"Bug-Submission Form\" <$address>");
	echo '<P>Bug report sent!</P>';
} else {
	?><P><STRONG>Note:</STRONG> All fields <STRONG>must</STRONG> be filled in. Your email address will only be used to let you know when the bug is fixed and/or if more information is needed.</P><FORM name="bug" method="post"><table><?php
	do_inputline ("Your email", "fromaddr", 30, $fromaddr);
	do_list ("Package", "pkg", ",QuakeForge,QuakeIIForge,Newtree,QFCC,Forge", $pkg);
	do_inputline ("Package version", "version", 12, $version);
	do_list ("Operating System", "os", ",Windows,Linux,FreeBSD,NetBSD,OpenBSD,Other", $os);
	do_list ("Bug Severity", "severity", "Normal,Critical,Wishlist", $severity);
	do_inputline ("Brief Description", "subj", 60, $subj);
	do_inputtext ("Detailed Description", "details", 60, 10, $details);
	do_submit ();
	?></table></FORM><?php
}
?>

<?php
	require "../parts/postamble.php";		// Finish this sucker up
?>
